SDL_GetPerformanceCounter(3)

NAME
SDL_GetPerformanceCounter - Get the current value of the high resolution counter.

SYNOPSIS
#include <SDL3/SDL_timer.h>

Uint64 SDL_GetPerformanceCounter(void);

DESCRIPTION
This function is typically used for profiling.

The counter values are only meaningful relative to each other. Differences between values can be converted to times by using SDL_GetPerformanceFrequency().

RETURN VALUE
Returns the current counter value.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetPerformanceFrequency(3)